import { createBookingsAppSettings as publicCreateBookingsAppSettings, getBookingsAppSettings as publicGetBookingsAppSettings, updateBookingsAppSettings as publicUpdateBookingsAppSettings } from './bookings-v2-bookings-app-settings-app-settings.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
/** @internal */
export declare const createBookingsAppSettings: MaybeContext<BuildRESTFunction<typeof publicCreateBookingsAppSettings> & typeof publicCreateBookingsAppSettings>;
/** @internal */
export declare const getBookingsAppSettings: MaybeContext<BuildRESTFunction<typeof publicGetBookingsAppSettings> & typeof publicGetBookingsAppSettings>;
/** @internal */
export declare const updateBookingsAppSettings: MaybeContext<BuildRESTFunction<typeof publicUpdateBookingsAppSettings> & typeof publicUpdateBookingsAppSettings>;
export { TimeZoneSource, PlacementType, RequestedFields, WebhookIdentityType, } from './bookings-v2-bookings-app-settings-app-settings.universal.js';
export { BookingsAppSettings, CartCheckoutSettings, MultiServicesAppointmentsSettings, ClientTimeZoneSettings, SiteProperties, Locale, Address, AddressHint, GeoCoordinates, Features, Feature, CreateBookingsAppSettingsRequest, CreateBookingsAppSettingsResponse, GetBookingsAppSettingsRequest, GetBookingsAppSettingsResponse, UpdateBookingsAppSettingsRequest, UpdateBookingsAppSettingsResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BookingsAppSettingsNonNullableFields, CreateBookingsAppSettingsResponseNonNullableFields, GetBookingsAppSettingsResponseNonNullableFields, UpdateBookingsAppSettingsResponseNonNullableFields, CreateBookingsAppSettingsOptions, GetBookingsAppSettingsOptions, UpdateBookingsAppSettingsOptions, } from './bookings-v2-bookings-app-settings-app-settings.universal.js';
