"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.RequestedFields = exports.PlacementType = exports.TimeZoneSource = void 0;
var TimeZoneSource;
(function (TimeZoneSource) {
    /** Business time zone source. */
    TimeZoneSource["BUSINESS"] = "BUSINESS";
    /** Client time zone source. */
    TimeZoneSource["CLIENT"] = "CLIENT";
})(TimeZoneSource || (exports.TimeZoneSource = TimeZoneSource = {}));
/** Where the extra text should be displayed: before, after or instead of the actual address. */
var PlacementType;
(function (PlacementType) {
    PlacementType["BEFORE"] = "BEFORE";
    PlacementType["AFTER"] = "AFTER";
    PlacementType["REPLACE"] = "REPLACE";
})(PlacementType || (exports.PlacementType = PlacementType = {}));
var RequestedFields;
(function (RequestedFields) {
    RequestedFields["SITE_PROPERTIES"] = "SITE_PROPERTIES";
    RequestedFields["FEATURES"] = "FEATURES";
})(RequestedFields || (exports.RequestedFields = RequestedFields = {}));
var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (exports.WebhookIdentityType = WebhookIdentityType = {}));
//# sourceMappingURL=bookings-v2-bookings-app-settings-app-settings.types.js.map