import { createBookingsAppSettings as universalCreateBookingsAppSettings, getBookingsAppSettings as universalGetBookingsAppSettings, updateBookingsAppSettings as universalUpdateBookingsAppSettings, } from './bookings-v2-bookings-app-settings-app-settings.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/bookings' };
/** @internal */
export function createBookingsAppSettings(httpClient) {
    return (bookingsAppSettings, options) => universalCreateBookingsAppSettings(bookingsAppSettings, options, 
    // @ts-ignore
    { httpClient });
}
/** @internal */
export function getBookingsAppSettings(httpClient) {
    return (options) => universalGetBookingsAppSettings(options, 
    // @ts-ignore
    { httpClient });
}
/** @internal */
export function updateBookingsAppSettings(httpClient) {
    return (bookingsAppSettings, options) => universalUpdateBookingsAppSettings(bookingsAppSettings, options, 
    // @ts-ignore
    { httpClient });
}
export { PlacementType, RequestedFields, TimeZoneSource, WebhookIdentityType, } from './bookings-v2-bookings-app-settings-app-settings.universal.js';
//# sourceMappingURL=bookings-v2-bookings-app-settings-app-settings.public.js.map